Skip to main content
GET
/
data
/
snapshot
Multi-source aggregated overview
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/data/snapshot \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "gsc": {
      "totalClicks": 123,
      "totalImpressions": 123,
      "avgPosition": 123
    },
    "ga4": {
      "totalPageviews": 123,
      "totalUsers": 123
    },
    "ads": {
      "totalSpend": 123,
      "totalConversions": 123
    },
    "gbp": {
      "totalViews": 123,
      "totalCalls": 123,
      "averageRating": 123
    },
    "conversations": {
      "total": 123,
      "appointmentsBooked": 123
    },
    "content": {
      "totalAssets": 123,
      "publishedThisPeriod": 123
    }
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

period
enum<string>
default:30d

Date range preset (default 30d). Overridden by start+end.

Available options:
today,
7d,
30d,
90d,
mtd,
ytd
start
string<date>

Explicit start date (YYYY-MM-DD). Overrides period.

end
string<date>

Explicit end date (YYYY-MM-DD). Overrides period.

Response

Data snapshot

success
boolean
required
data
object